
/* === CARD ============== */
.inner-content {
    flex-grow: 1;
}

.card {
    display: inline-block;
    min-width: 300px;
    height: 400px;
    box-shadow: 0 4px 13px rgba(126, 158, 125, 0.25);
    background: radial-gradient(97.79% 97.79% at 53.12% 10.65%, #FFFFFF 0%, rgba(255, 255, 255, 0) 100%);
    border-radius: 13px;
    overflow-y: auto;
}

.card-bar{
    display: flex;
    padding: 1rem 1rem 0 1rem;
}

.card h2.card-title {
    flex-grow: 1;
    text-transform: uppercase;
    text-align: center;
    font-size: 1.2rem;
}

.card .card-content {
    padding: 1rem;
}

.card .card-list {
    display: grid;
    grid-template-columns: 1fr auto;
}

.card .card-list {
    font-size: .9rem;
    font-weight: 500;
}

.card .card-list > dd {
    text-align: right;
}

.card .card-list dd, .card .card-list dt {
    border-bottom: thin solid rgba(145, 145, 145, 0.1);
    padding: 1rem 0;
}

.card .back-arrow::before {
    content: '<';
    display: inline-block;
    background: rgba(255, 255, 255, .3);
    border-radius: 50%;
    height: 2rem;
    width: 2rem;
    line-height: 2rem;
    text-align: center;
    color: #000;
    font-weight: 500;
}


.card .card-menu-list > li {
    font-size: .9rem;
    font-weight: 500;
    border-bottom: thin solid rgba(145, 145, 145, 0.1);
    padding: 1rem 0;
}
.card .card-menu-list > li.clickable {
    cursor: pointer;
    transition: padding-left .13s linear, font-weight .22s linear;
}

.card .card-menu-list > li.clickable:hover {
 padding-left: 10px;
 font-weight: 600;
} 

.status-info > li:first-child.online {
    color: green;
}

.status-info > li:first-child.offline {
    color: red;
}

/* === CHECKBOX SLIDER === */

/* --- state [UNCHECKED]  --- */
.switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 22px;
}

.switch > input {
    display: none;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #eeeaed;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 34px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 0px;
    bottom: -2px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
    box-shadow: 0 1px 4px rgb(122, 122, 122);
    border-radius: 50%;
}

/* --- state [CHECKED]  --- */
input[type="checkbox"]:checked + .slider {
    background-color: rgb(218, 255, 218);
}

input[type="checkbox"]:focus + .slider {
    box-shadow: 0 0 1px green;
}

input[type="checkbox"]:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
    background-color: green;
}




/* === FULSCREEN BTN === */
.fullscreen-btn{
    position: absolute;
    top: 1rem;
    right: 1rem;
    border-radius: 7px;
    border: none;
    background: none;
    z-index: 13;
}

.fullscreen-btn:hover {
    opacity: .7;
}


body .fullscreen-btn::before{
    content: '';
    display: block;
    background-image: url('../../img/ic_fullscreen.png');
    background-size: cover;
    width: 22px;
    height: 22px;
}

body:fullscreen .fullscreen-btn::before {
    background-image: url('../../img/ic_fullscreen_exit.png');
}



/* === SNAKE SVG ANIMATION === */
.snake-svg-container {
    overflow: hidden;
    position: absolute;
    left: 56%;
    top: 0;
    right: 0;
    bottom: 0;
}

.snake-svg-container > svg {
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.snake-svg-container > svg > rect {
    fill: rgba(255, 255, 255, .22);
    filter: drop-shadow( 0 0 20px rgba(3, 39, 0, 0.7));
    -webkit-filter: drop-shadow( 0 0 20px rgba(3, 39, 0, 0.7));
    transition: filter .13s linear;
}

.snake-svg-container > svg > rect:hover {
    fill: rgba(255, 255, 255, .33);
    filter: drop-shadow( 0 0 20px rgba(21, 255, 0, 0.9));
    -webkit-filter: drop-shadow( 0 0 20px rgba(21, 255, 0, 0.9));
}


.snake-svg-container > svg > rect { 
    opacity: 0;
    animation-delay: calc(.42s * var(--part));
    animation-duration: 15s;
    animation-iteration-count: 13;
    animation-name: snake-svg-anim;
    animation-timing-function: linear;
}
 @keyframes snake-svg-anim {
     from{
         opacity: 1;
     }
     to{
         opacity: 0;
     }
 }


 /* === Score Viewer === */

 .score-viewer {
    position: absolute;
    top: 0;
    left: 0;
    font-size: 1.5rem;
    font-weight: 500;
    background: #000;
    border-radius: 13px;
    padding: 0 .5rem;
    color: #fff;
    z-index: 5;
 }


